phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
User avatar
ComoEJ
Registered User
Posts: 15
Joined: Mon Oct 14, 2019 10:01 pm
Location: Los Angeles County, California
Name: E.J. Carpathia
Contact:

phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by ComoEJ » Mon Oct 14, 2019 10:11 pm

Greetings,

I am having a problem converting my phpBB 2.0.23 to my new phpBB 3.2.8! I can get to the "Covert" area and I enter the information requested, but I keep getting "Could not find path to your former board. Please check your settings and try again." over and over each time I try. Can somebody please help me with this? I would greatly appreciate it.

Sincerely,
E.J.

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69426
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by KevC » Tue Oct 15, 2019 8:09 am

What are the addresses of the two installations?
You need phpBB2 and 3 both installed at the same time on the same server in different folders.
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
ComoEJ
Registered User
Posts: 15
Joined: Mon Oct 14, 2019 10:01 pm
Location: Los Angeles County, California
Name: E.J. Carpathia
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by ComoEJ » Tue Oct 15, 2019 3:27 pm

Hello!

I have phpBB 2.0.23 in http://www.gammafleet.org/wforum/ and phpBB 3.2.8 in http://www.gammafleet.org/phpbb3/.

Sincerely,
E.J.

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69426
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by KevC » Tue Oct 15, 2019 3:32 pm

The path to the former board would be
../wforum

(not done it for a while so I might be wrong but I think that's right!!)
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
warmweer
Registered User
Posts: 3012
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by warmweer » Tue Oct 15, 2019 3:41 pm

ComoEJ wrote:
Tue Oct 15, 2019 3:27 pm
Hello!

I have phpBB 2.0.23 in http://www.gammafleet.org/wforum/ and phpBB 3.2.8 in http://www.gammafleet.org/phpbb3/.

Sincerely,
E.J.
Not sure about this but AFAIK the 2.0 board should be functional and yours isn't.
AFAIR both boards needed to be up and running but that may have changed with the current 3.2
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

User avatar
ComoEJ
Registered User
Posts: 15
Joined: Mon Oct 14, 2019 10:01 pm
Location: Los Angeles County, California
Name: E.J. Carpathia
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by ComoEJ » Tue Oct 15, 2019 4:22 pm

Hello,

I entered ../wforum and I still got the same error message. :(

Sincerely,
E.J.

User avatar
Mick
Support Team Member
Support Team Member
Posts: 21676
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by Mick » Tue Oct 15, 2019 4:26 pm

warmweer wrote:
Tue Oct 15, 2019 3:41 pm
the 2.0 board should be functional
I think you only need the database functional.

Try all lower case like ../wforum it won’t work with the first letter uppercase you need the leading dots.

I just managed to clear the error using exactly the above but, obviously I didn’t have the rest of the details to carry on. :D
"The more connected we get the more alone we become" - Kyle Broflovski

User avatar
warmweer
Registered User
Posts: 3012
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by warmweer » Tue Oct 15, 2019 4:40 pm

Mick wrote:
Tue Oct 15, 2019 4:26 pm
warmweer wrote:
Tue Oct 15, 2019 3:41 pm
the 2.0 board should be functional
I think you only need the database functional.
OK, but then why should the 2.0 board then be installed on the same server instead of just using the database and pointing the converter to the database (with the necessary details e.g. table prefix).
Converting from 2.0 to 3.0 was easy since the php version covered both (usually). And then from 3.0 to 3.2 (with php5.6) isn't a problem either.
I can't remember when I last converted from 2.0 to 3.2 but AFAIR it was with an intermediate 3.0 stage.
Am I missing something?
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

User avatar
ComoEJ
Registered User
Posts: 15
Joined: Mon Oct 14, 2019 10:01 pm
Location: Los Angeles County, California
Name: E.J. Carpathia
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by ComoEJ » Tue Oct 15, 2019 4:43 pm

Hello,

Is there a way to just upload the phpbb_db_backup.sql from phpBB 2.0.23 into phpBB 3.2.8?

Sincerely,
E.J.
Commodore E.J. Carpathia
Division 1 Commander, Gamma Fleet
Starfleet, United Federation of Planets

~ www.gammafleet.org ~

User avatar
Mick
Support Team Member
Support Team Member
Posts: 21676
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by Mick » Tue Oct 15, 2019 4:46 pm

warmweer wrote:
Tue Oct 15, 2019 4:40 pm
Am I missing something?
The last time I did it was 2007 so converted to 3.0. The documentation says:
6. Conversion from phpBB 2.0.x to phpBB 3.2.x wrote: This paragraph explains the steps necessary to convert your existing phpBB2 installation to phpBB3.
So I assume it’s direct.

@OP: You do have all the database credentials don’t you?
"The more connected we get the more alone we become" - Kyle Broflovski

User avatar
Brf
Support Team Member
Support Team Member
Posts: 51875
Joined: Tue May 10, 2005 7:47 pm
Location: {postrow.POSTER_FROM}
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by Brf » Tue Oct 15, 2019 4:46 pm

warmweer wrote:
Tue Oct 15, 2019 4:40 pm
why should the 2.0 board then be installed on the same server instead of just using the database and pointing the converter to the database (with the necessary details e.g. table prefix).
Probably because there are files to copy too -- avatars and attachments and such.

User avatar
warmweer
Registered User
Posts: 3012
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by warmweer » Tue Oct 15, 2019 4:50 pm

ComoEJ wrote:
Tue Oct 15, 2019 4:43 pm
Is there a way to just upload the phpbb_db_backup.sql from phpBB 2.0.23 into phpBB 3.2.8?
NO, because the 2.0 data is extracted (and transformed) for input in the 3.2 database.
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

User avatar
warmweer
Registered User
Posts: 3012
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by warmweer » Tue Oct 15, 2019 5:03 pm

Brf wrote:
Tue Oct 15, 2019 4:46 pm
Probably because there are files to copy too -- avatars and attachments and such.
hmm ok, forgot about that.
But still, if the phpbb2.0 php files aren't used then we shouldn't have gone through the trouble to actually install 2.0. Copying the whole file structure would have sufficed (+ letting the 2.0 config.php point to the correct database).

I might try that with an old backup one of these days.
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

User avatar
ComoEJ
Registered User
Posts: 15
Joined: Mon Oct 14, 2019 10:01 pm
Location: Los Angeles County, California
Name: E.J. Carpathia
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by ComoEJ » Tue Oct 15, 2019 5:39 pm

warmweer,

If I give you the information could you possibly get the conversion started for me? I don't have much luck with such things...

Sincerely,
E.J.
Commodore E.J. Carpathia
Division 1 Commander, Gamma Fleet
Starfleet, United Federation of Planets

~ www.gammafleet.org ~

User avatar
warmweer
Registered User
Posts: 3012
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by warmweer » Tue Oct 15, 2019 6:01 pm

ComoEJ wrote:
Tue Oct 15, 2019 5:39 pm
warmweer,

If I give you the information could you possibly get the conversion started for me? I don't have much luck with such things...
Sorry but that's a firm no (not because I don't want to but because there are too many unknown factors at this time, plus I'm currently multi tasking - one task being having dinner).
I suggest you try it on a copy. Perhaps copy everything to localhost (since phpbb2.0 doesn't strictly have to be installed).
Just make sure you have a backup of the stage you're reached now (should something go wrong).
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

Post Reply

Return to “[3.2.x] Support Forum”